/* All content on this website (including text, images, source
 * code and any other original works), unless otherwise noted,
 * is licensed under a Creative Commons License.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Copyright (C) 2016-2020 OX Software GmbH
 */

define('mailvelope/sync/backend_sync', [
], function () {
    'use strict';

    function setUsing (isUsing) {
        var def = $.Deferred();
        var URL = ox.apiRoot + '/oxguard/mailvelope?action=using' +
        '&cid=' + ox.context_id +
        '&userid=' + ox.user_id +
        '&using=' + (isUsing ? 'true' : 'false') +
        '&session=' + ox.session;
        $.ajax({
            url: URL,
            type: 'PUT',
            data: {},
            success: function () {
                def.resolve('OK');
            },
            error: function (e) {
                console.log(e);
                def.reject();
            }
        });
        return (def);
    }

    return {
        setUsing: setUsing
    };
});
